package com.jjt.task;

import com.jjt.biz.domain.BizObj;
import com.jjt.biz.service.IBizObjMetricsService;
import com.jjt.biz.service.IBizObjService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Date;

/**
 * 定时任务调度测试
 *
 * @author jjt
 */
@Component("dataTask")
public class DataTask {
    @Resource
    private IBizObjMetricsService metricsService;
    @Resource
    private IBizObjService objService;

    public void imitate() {
        Date s = new Date();
        objService.selectBizObjList(new BizObj()).forEach(obj -> {
            metricsService.imitate(obj.getObjId(),new Date());
        });
        Date e = new Date();
        System.err.println(e.getTime()-s.getTime());
        LocalDateTime ed = LocalDateTime.now();
        LocalDateTime st = ed.minusDays(1);
        do {
            Date date = Date.from(st.atZone(ZoneId.systemDefault()).toInstant());
            objService.selectBizObjList(new BizObj()).forEach(obj -> {
                metricsService.imitate(obj.getObjId(), date);
            });
            st = st.plusMinutes(15);
        } while (!st.isAfter(ed));
    }

}
